Subject: [bug#54986] [PATCH] gnu: mpd: Add support for socket activation.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 17 Apr 2022 23:57:23 +0200

Am Sonntag, dem 17.04.2022 um 23:06 +0200 schrieb Ludovic Courtès:
> Hi,
> 
> Liliana Marie Prikler <[email-masked]> skribis:
> 
> > * gnu/packages/mpd.scm (mpd)[#:configure-flags]: Convert to G-
> > Expression.
> > Add “-Dsystemd=enabled”.
> > [#:phases]: New argument.
> > [inputs]: Add elogind.
> 
> LGTM!
> 
> Are you planning to update the service as well?
I'm not sure if updating the service is a good idea.  On the upside,
people who report mpd starting too early will be alleviated of one
issue.  On the downside, it appears as though mpd too easily escapes
shepherd's management.  My current observations are more or less
consistent with what I saw with Emacs: killing the mpd service won't
stop playing music, and shepherd won't restart a killed MPD without
asked to.  IMHO shepherd's socket activation still needs some work
before we can make it the default for every service.

Cheers